org.eclipse.emf.cdo.security

## Interface ResourcePermission

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Notifier, Permission
  All Known Implementing Classes:
    ResourcePermissionImpl

  Deprecated.
  As of 4.3 use `FilterPermission` and `ResourceFilter`.

  The following features are supported:

  - `Pattern`

      @Deprecated
      public interface ResourcePermission
      extends Permission

  A representation of the model object 'Resource Permission'.
  See Also:
    `SecurityPackage.getResourcePermission()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPattern()` Deprecated. Returns the value of the 'Pattern' attribute.
    `void` | `setPattern(java.lang.String value)` Deprecated. Sets the value of the '`Pattern`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.Permission

      `getAccess, getRole, isApplicable, setAccess, setRole`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPattern

          java.lang.String getPattern()

      Deprecated.
      Returns the value of the 'Pattern' attribute.

      If the meaning of the 'Pattern' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Pattern' attribute.
      See Also:
        `setPattern(String)`, `SecurityPackage.getResourcePermission_Pattern()`
      Generated
      Model

    - #### setPattern

          void setPattern(java.lang.String value)

      Deprecated.
      Sets the value of the '`Pattern`' attribute.
      Parameters:
        `value` - the new value of the 'Pattern' attribute.
      See Also:
        `getPattern()`
      Generated

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html